# Migration guide 8.0 -> 10.0.0

## Deprecations
The following components have been deprecated.  They are still available in 10.0.0 but can be removed at any time in the future.
A recommended component is suggested or it marked "discontinued" if nothing is replacing it.
  - **Calendar** -> DatePicker
  - **Collector** -> Discontinued (will be removed in 11.0)
  - **DataGrid** -> DataView
  - **DataList** -> DataView
  - **FontAwesome** -> PrimeIcons (will be removed in 11.0. You may still include your own FontAwesome it is just being removed from JAR)
  - **Grid CSS** -> PrimeFlex
  - **Charts** -> ChartJs (jqPlot legacy charts deprecated)
  - **Media**-> Audio and Video
  - **NotificationBar** -> Sidebar
  - **Ribbon** -> Discontinued (will be removed in 11.0)
  - **Separator** -> Divider
  - **Spacer** -> PrimeFlex Space Utils
  - **SubTable** -> Row Group
  - **ThemeSwitcher** -> Discontinued (will be removed in 11.0) See https://github.com/primefaces/primefaces/blob/master/docs/migrationguide/10_0_0.md#themeswitcher

## Core
  * Facelet function `p:resolveWidgetVar` now returns the widget var name only, instead of `PF('widgetVarName')`.
  * Animations changed from jQuery to CSS Animations. Removed `showEffect` and `hideEffect` from many components. See: https://github.com/primefaces/primefaces/issues/6973
  * **Removed** `aristo` theme and now `saga` the default theme
  * **Removed** `omega` theme

## DataTable
**Removed**:
  - `DataTable#sortMeta` _(replaced by DataTable#sortBy)_
  - `DataTable#sortField` _(replaced by UIColumn#field)_
  - `DataTable#sortOrder` _(replaced by UIColumn#sortOrder)_
  - `DataTable#sortFunction` _(replaced by UIColumn#sortFunction)_
  - `DataTable#expandableRowGroups` _(replaced by HeaderRow#expandable)_
  - `DataTable#nullSortOrder` _(replaced by UIColumn#nullSortOrder)_
  - `DataTable#caseSensitiveSort` _(replaced by UIColumn#caseSensitiveSort)_

**Updated**
  - `DataTable#sortMode`: default value "multiple"
  - `DataTable#allowUnsorting`: default value "false"
  - `DataTable#sortBy`: expects a single or a collection of SortMeta _(default sorting can either be configured through markup or programmatically)_
  - `DataTable#filterBy`: expects a single or a collection of FilterMeta _(default sorting can either be configured through markup or programmatically)_

**Added**
  - `Column#sortPriority`: defines in which order columns sorter should apply initially
  - `Column#sortOrder`: defines default sort order
  - `Column#nullSortOrder`
  - `Column#caseSensitiveSort`

**Breaking changes**
  - `DataTable#sortBy`: no longer expect a Map, but a single or a collection of SortMeta _(use SortMeta#builder)_ `UIColumn#field` or `UIColumn#sortBy` must be set to enable default sorting.
  - `DataTable#filterBy`: no longer expect a Map, but a single or a collection of FilterMeta _(use FilterMeta#builder)_ `UIColumn#field` or `UIColumn#filterBy` must be set to enable default filtering.
  - As it is possible from now on to configure default sorted columns on a single sort mode datatable. Users will be expected to implement only one method `LazyDataModel#load(int first, int pageSize, Map<String, SortMeta> sortBy, Map<String, FilterMeta> filterBy)`
  - detects lazy-attribute automatically based on value-binding to LazyDataModel. So no need to set this explicit anymore.
  - `SortEvent`: sorted datatable value is no longer passed to this event, instead get the sorted value through your managed bean (e.g `YourBean#list` used as value expression)
  - `FilterEvent`: filtered datatable value is no longer passed to this event, instead get the filtered value through your managed bean (e.g `YourBean#filtered` used as value expression)

## TreeTable
**Removed**:
  - `TreeTable#sortOrder` _(replaced by UIColumn#sortOrder)_
  - `TreeTable#sortFunction` _(replaced by UIColumn#sortFunction)_
  - `TreeTable#caseSensitiveSort` _(replaced by UIColumn#caseSensitiveSort)_

**Updated**
  - `TreeTable#sortMode`: default value "multiple"
  - `TreeTable#allowUnsorting`: default value "false"
  - `TreeTable#sortBy`: expects a single or a collection of SortMeta _(default sorting can either be configured through markup or programmatically)_
  - `TreeTable#filterBy`: expects a single or a collection of FilterMeta _(default sorting can either be configured through markup or programmatically)_

**Added**
  - `Column#sortPriority`: defines in which order columns sorter should apply initially
  - `Column#sortOrder`: defines default sort order
  - `Column#nullSortOrder`
  - `Column#caseSensitiveSort`

**Breaking changes**
  - `TreeTable#filteredNode` has been renamed to `TreeTable#filteredValue`
  - `TreeTable#sortBy`: no longer expect a Map, but a single or a collection of SortMeta _(use SortMeta#builder)_ `UIColumn#field` or `UIColumn#sortBy` must be set to enable default sorting.
  - `TreeTable#filterBy`: no longer expect a Map, but a single or a collection of FilterMeta _(use FilterMeta#builder)_ `UIColumn#field` or `UIColumn#filterBy` must be set to enable default filtering.

## Column/Columns
  * `priority` has been renamed to `responsivePriority`

## Dock
  * Re-implemented using CSS. Deprecated props `itemWidth, maxWidth, proximity` for CSS instead. (https://primefaces.github.io/primefaces/10_0_0/#/components/dock)

## Diagram
  * `paintStyle` has changed from `setPaintStyle("{strokeStyle:'#98AFC7',fillStyle:'#5C738B',lineWidth:3}")` to `setPaintStyle("{stroke:'#98AFC7',fill:'#5C738B',strokeWidth:3}")`

## Dashboard
  * `disabled` attribute has been renamed into `reordering` for reordering panels
  * `disabled` attribute is now like all other disabled attributes to disable the component

## FileUpload
  * `FileUpload#performVirusScan` attribute has been renamed into `virusScan`
  * `VirusScanner#performVirusScan(InputStream in)` has been refactored into `VirusScanner#scan(UploadedFile file)`

## ChartJS
  * `offset` for Bar charts is no longer `true` by default see: (https://github.com/primefaces/primefaces/issues/5726)

## Layout
  * **Removed** `Layout` component in favor or pure CSS. PF Extensions still has a similar Layout component

## Editor
  * **Removed** `Editor` component in favor `TextEditor`.

## InputMask
  * Optional section of mask no longer starts with `?` but must be wrapped in `[` and `]`.

## Schedule
  * The JavaScript library (FullCalendar) was updated to version 5. It uses a different DOM structure with potentially new or changed CSS style classes. Check if your custom CSS for the schedule still applies if you have any.
  * If you are using a custom `extender` function, check your JavaScript code: Many FullCalendar settings have been renamed or changed - see the FullCalendar upgrade guide at https://fullcalendar.io/docs/upgrading-from-v4
  * New Locale customization labels for `year, list, moreLinkText, noEventsText`
  * The schedule component has two properties `resizable` and `draggable` that were supposed to be used as the default for all events. Before  10.0.0, however, these two properties did not have any effect, as they were always overwritten by the `ScheduleEvent#isEditable` property. To remedy this, the `ScheduleEvent` interface now contains two new methods `ScheduleEvent#isResizable` and `ScheduleEvent#isDraggable` that should be used instead of the deprecated `ScheduleEvent#isEditable`. _Please note that these two methods may return null_, to indicate that they do not overwrite the default setting of the schedule. Likewise, the builder has `DefaultScheduleEvent.Builder#resizable` and `DefaultScheduleEvent.Builder#draggable`.
  * The event properties `resizable` and `draggable` default to `null`, and the schedule properties defaults to `true`. This means that, like previously, events are editable by default.
  * `DefaultScheduleEvent` replaces `ScheduleRenderingMode` used in "rendering" with `ScheduleDisplayMode` used in "display" with values `"block"`, `"list-item"`, `"auto"`, `"background"`, `"inverse-background"` and `"none"`. 

## Client-Side-Validation
  * `PrimeFaces.util.ValidationContext` now is `PrimeFaces.validation.ValidationContext`
  * `PrimeFaces.validation.ValidationContext` is now a real "context object" and most util methods has been moved to `PrimeFaces.validation.Utils`

## AutoComplete
  * Event `moreText` is renamed to `moreTextSelect`.
  * May consume REST-endpoints via `completeEndpoint` to eg improve performance. (https://primefaces.github.io/primefaces/10_0_0/#/components/autocomplete?id=consuming-rest-endpoints)

## DataView
  * detects lazy-attribute automatically based on value-binding to `LazyDataModel`. So no need to set this explicit anymore.

## DataList
  * detects lazy-attribute automatically based on value-binding to `LazyDataModel`. So no need to set this explicit anymore.

## DataGrid
  * detects lazy-attribute automatically based on value-binding to `LazyDataModel`. So no need to set this explicit anymore.

## DatePicker
  * `showTime` is detected automatically based on value-binding to `LocalDateTime`. `timeOnly` is detected automatically based on value-binding to `LocalTime`. In this usecases you don´t need to set this attributes explicit when you are happy with this default-behavior.

## Cache
  * HazelCast now requires version 4.X see: (https://github.com/primefaces/primefaces/issues/5989)

## DataExporter
  * PDF library has been switched from iText to Libre OpenPDF: (https://github.com/primefaces/primefaces/issues/5749)
  * PDF can now be set in Landscape Mode to fit more columns: (https://github.com/primefaces/primefaces/issues/6425)
  * PDF/Excel can now align columns by setting `style` or `styleClass` on `p:column`: (https://github.com/primefaces/primefaces/issues/6430)
  * supports AJAX (so ajax="false" is not required anymore)
  * Interface `org.primefaces.component.export.Exporter` and abstract class `org.primefaces.component.datatable.export.DataTableExporter` had been modified.
    `org.primefaces.component.datatable.export.DataTableExporter` provides `getOutputStream()`. Custom exporters need to append to `getOutputStream()`.
    (see https://github.com/primefaces/primefaces-showcase/commit/e6ed9ddeb4a4221af2968e237b3ef6c5c1b7576c as an example.)

## BreadCrumb
  * Now renders WAI-ARIA compliant HTML: (https://github.com/primefaces/primefaces/issues/4928)

## Slider
  * Supports 'min' and 'max' range styles. Default range value is 'min' now: (https://github.com/primefaces/primefaces/issues/7012)

## ThemeSwitcher
  * Deprecated so switch to using normal SelectOneMenu like the below example:

```xml
<h:form id="frmTheme">
   <p:selectOneMenu id="themeSelectMenu" value="#{userSettings.currentTheme}">
         <p:ajax process="@this" oncomplete="PrimeFaces.changeTheme($('#frmTheme\\:themeSelectMenu_label').text());"/>
         <f:selectItems  value="#{userSettings.availableThemes}"/>
   </p:selectOneMenu>
</h:form>
```
