# Migration guide 10.0.0 -> 11.0.0

## Removed
The following components have been removed.
  - **Collector**
  - **FontAwesome**. Use PrimeIcons or include your own FontAwesome.
  - **Ribbon**
  - **ThemeSwitcher**

## AutoComplete
  * Style class `ui-autocomplete-emptyMessage` renamed to `ui-autocomplete-empty-message`.

## Avatar
  * Removed dynamic color `mix-blend-mode: difference` style in favour of `ui-avatar-dark` and `ui-avatar-light` classes based on the lightness.

## Barcode
  * Switched to `io.nayuki:qrcodegen` to render SVG QR codes. You need to add:
```xml
<dependency>
    <groupId>io.nayuki</groupId>
    <artifactId>qrcodegen</artifactId>
    <version>1.7.0</version>
</dependency>
```
and you can remove:
```xml
<dependency>
    <groupId>net.glxn</groupId>
    <artifactId>qrgen</artifactId>
    <version>1.4</version>
</dependency>
```

## Carousel and Galleria
- Completely overhauled by PrimeTek to be in line with PrimeReact/Vue/NG carousel and galleria
- Most of the properties were removed or renamed please see the Carousel/Galleria docs for updated properties and values

## Charts
- Chart.js 2.9.4 was replaced with Chart.js 3.5.0
- Chart.js comes with breaking changes. When you only work with PrimeFaces-Charts-components and classes most things should work as with PrimeFaces 10.
  For custom ChartJS-JavaScript (via ChartModel.setExtender) please take a look at https://www.chartjs.org/docs/latest/getting-started/v3-migration.html
- Following PrimeFaces API-changes were made to reflect changes within Chart.js 3 - JavaScript - API
  - `setLineTension` was renamed to `setTension` (`LineChartDataSet`, `RadarChartDataSet`, `ElementsLine`)
  - `LineChartDataSet#getSteppedLine` was renamed to `LineChartDataSet#getStepped`
  - `PolarAreaChartOptions#startAngle` was moved to `RadialScales#startAngle`

## DataTable, DataView, DataGrid, DataList
- LazyDataModel now requires to implement `int count(Map<String, FilterMeta> filterBy);`
    - therefore LazyDataModel doesnt need to call `setRowCount` anymore in the `load` method
    - and this workaround to recalculate `first` isnt required anymore: https://github.com/primefaces/primefaces/issues/1921

## DataTable 
- Non-lazy datasource (eg value-attribute bound to a instance of `java.util.List`) requires defining attribute `rowKey` when using selection-feature.

## DataScroller
- Text in class `ui-datascroller-loader` is no longer centered for the `loading` facet.

## Dialog
- Now `responsive="true"` by default.

## DefaultMenuItem
- Now `global="true"` by default.

## Media
- Adobe Flash player support has been removed.

## PhotoCam
- Adobe Flash player support has been removed.

## PrimeFlex 3
- PrimeTek rebuilt PrimeFlex and released PrimeFlex 3.x. PrimeFaces - components with PrimeFlex - support now require PrimeFlex 3. (Not implemented yet as of 2021-08)
- PrimeFlex 3 is a breaking release. See https://www.primefaces.org/primeflex/migration
- It´s technically possible to add PrimeFlex 2 and PrimeFlex 3 to your project.
- PrimeFaces offers a CLI-tool to migrate your existing projects from PrimeFlex 2 to 3. See https://github.com/primefaces/primefaces/tree/master/primefaces-cli
